[Pkg-libvirt-commits] [libguestfs] 96/266: v2v: Skip virt-v2v tests if rhsrvany.exe is not installed.

Hilko Bengen bengen at moszumanska.debian.org
Fri Oct 3 14:41:47 UTC 2014


This is an automated email from the git hooks/post-receive script.

bengen pushed a commit to annotated tag debian/1%1.27.35-1
in repository libguestfs.

commit 6f045f8401a856d748ebbde08bd5efc0857721f8
Author: Richard W.M. Jones <rjones at redhat.com>
Date:   Thu Aug 14 10:02:33 2014 +0100

    v2v: Skip virt-v2v tests if rhsrvany.exe is not installed.
---
 v2v/test-v2v-no-copy.sh            | 6 ++++++
 v2v/test-v2v-of-option.sh          | 6 ++++++
 v2v/test-v2v-on-option.sh          | 6 ++++++
 v2v/test-v2v-rhev-options.sh       | 6 ++++++
 v2v/test-v2v-rhev.sh               | 6 ++++++
 v2v/test-v2v-windows-conversion.sh | 6 ++++++
 6 files changed, 36 insertions(+)

diff --git a/v2v/test-v2v-no-copy.sh b/v2v/test-v2v-no-copy.sh
index ba2dc17..99e3b5b 100755
--- a/v2v/test-v2v-no-copy.sh
+++ b/v2v/test-v2v-no-copy.sh
@@ -41,6 +41,12 @@ if ! test -f $f || ! test -s $f; then
     exit 77
 fi
 
+virt_tools_data_dir=${VIRT_TOOLS_DATA_DIR:-/usr/share/virt-tools}
+if ! test -r $virt_tools_data_dir/rhsrvany.exe; then
+    echo "$0: test skipped because rhsrvany.exe is not installed"
+    exit 77
+fi
+
 d=test-v2v-no-copy.d
 rm -rf $d
 mkdir $d
diff --git a/v2v/test-v2v-of-option.sh b/v2v/test-v2v-of-option.sh
index 0335d52..cb03ea3 100755
--- a/v2v/test-v2v-of-option.sh
+++ b/v2v/test-v2v-of-option.sh
@@ -41,6 +41,12 @@ if ! test -f $f || ! test -s $f; then
     exit 77
 fi
 
+virt_tools_data_dir=${VIRT_TOOLS_DATA_DIR:-/usr/share/virt-tools}
+if ! test -r $virt_tools_data_dir/rhsrvany.exe; then
+    echo "$0: test skipped because rhsrvany.exe is not installed"
+    exit 77
+fi
+
 d=test-v2v-windows-conversion.d
 rm -rf $d
 mkdir $d
diff --git a/v2v/test-v2v-on-option.sh b/v2v/test-v2v-on-option.sh
index 0d3011e..f45dd8e 100755
--- a/v2v/test-v2v-on-option.sh
+++ b/v2v/test-v2v-on-option.sh
@@ -41,6 +41,12 @@ if ! test -f $f || ! test -s $f; then
     exit 77
 fi
 
+virt_tools_data_dir=${VIRT_TOOLS_DATA_DIR:-/usr/share/virt-tools}
+if ! test -r $virt_tools_data_dir/rhsrvany.exe; then
+    echo "$0: test skipped because rhsrvany.exe is not installed"
+    exit 77
+fi
+
 d=test-v2v-windows-conversion.d
 rm -rf $d
 mkdir $d
diff --git a/v2v/test-v2v-rhev-options.sh b/v2v/test-v2v-rhev-options.sh
index ec760a4..55444ad 100755
--- a/v2v/test-v2v-rhev-options.sh
+++ b/v2v/test-v2v-rhev-options.sh
@@ -41,6 +41,12 @@ if ! test -f $f || ! test -s $f; then
     exit 77
 fi
 
+virt_tools_data_dir=${VIRT_TOOLS_DATA_DIR:-/usr/share/virt-tools}
+if ! test -r $virt_tools_data_dir/rhsrvany.exe; then
+    echo "$0: test skipped because rhsrvany.exe is not installed"
+    exit 77
+fi
+
 d=test-v2v-rhev-options.d
 rm -rf $d
 mkdir $d
diff --git a/v2v/test-v2v-rhev.sh b/v2v/test-v2v-rhev.sh
index 56d2e9a..2ede15d 100755
--- a/v2v/test-v2v-rhev.sh
+++ b/v2v/test-v2v-rhev.sh
@@ -41,6 +41,12 @@ if ! test -f $f || ! test -s $f; then
     exit 77
 fi
 
+virt_tools_data_dir=${VIRT_TOOLS_DATA_DIR:-/usr/share/virt-tools}
+if ! test -r $virt_tools_data_dir/rhsrvany.exe; then
+    echo "$0: test skipped because rhsrvany.exe is not installed"
+    exit 77
+fi
+
 d=test-v2v-rhev.d
 rm -rf $d
 mkdir $d
diff --git a/v2v/test-v2v-windows-conversion.sh b/v2v/test-v2v-windows-conversion.sh
index c437c38..05d3473 100755
--- a/v2v/test-v2v-windows-conversion.sh
+++ b/v2v/test-v2v-windows-conversion.sh
@@ -41,6 +41,12 @@ if ! test -f $f || ! test -s $f; then
     exit 77
 fi
 
+virt_tools_data_dir=${VIRT_TOOLS_DATA_DIR:-/usr/share/virt-tools}
+if ! test -r $virt_tools_data_dir/rhsrvany.exe; then
+    echo "$0: test skipped because rhsrvany.exe is not installed"
+    exit 77
+fi
+
 # Return a random element from the array 'choices'.
 function random_choice
 {

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-libvirt/libguestfs.git



More information about the Pkg-libvirt-commits mailing list